{
  description = "terraform-provider-tor";
  inputs = {
    nixpkgs.url = "https://flakehub.com/f/NixOS/nixpkgs/0.1"; # tracks nixpkgs unstable branch
  };
  outputs =
    inputs:
    let
      supportedSystems = [
        "x86_64-linux"
      ];
      forEachSupportedSystem =
        f:
        inputs.nixpkgs.lib.genAttrs supportedSystems (
          system:
          f {
            pkgs = import inputs.nixpkgs {
              inherit system;
              overlays = [
                inputs.self.overlays.default
              ];
            };
            pkgs-mine = import inputs.nixpkgs-mine {
              inherit system;
              overlays = [
                inputs.self.overlays.default
              ];
            };
          }
        );
    in
    {
      overlays.default =
        final: prev:
        {
        };

      devShells = forEachSupportedSystem (
        { pkgs, pkgs-mine }:
        let
          libraries = [
          ];
        in
        {
          default = pkgs.mkShell {
            packages = [
              pkgs.go
              pkgs.golangci-lint
              pkgs.obfs4
              pkgs.gnumake
              pkgs.opentofu
            ];
            buildInputs = libraries;
            inputsFrom = libraries;
            nativeBuildInputs = [ pkgs.pkg-config ];
            env.LD_LIBRARY_PATH = pkgs.lib.makeLibraryPath libraries;
          };
        }
      );
    };
}
